base_url="download.oscam.cc"

echo "Contacting "$base_url 
base_url="http://"$base_url"/index.php?&direction=0&order=mod&directory=1.20_TRUNK/powerpc-tuxbox"

result=$(wget --quiet $base_url -O - | grep "powerpc-tuxbox-webif-Distribution")
result=$(echo $result | grep -E 'href="([^"#]+)"' | cut -d'"' -f54)
result=$(echo $result | sed -e 's/amp;//g')
result="http://download.oscam.cc/"$result

online_version=$(echo $result | awk '{print substr($1, index($1,"svn"), index($1,"-powerpc") - index($1,"svn") ) }')
box_version=$(cat /var/etc/plimgr/cams/oscam)
echo "Lastest version found: "$online_version
echo "Current version on box: "$box_version

if [ "$online_version" = "" ]
then
   echo "ERROR: Could not determine lastest available version to download."
   echo "Nothing wil be done for now."
   exit
fi

if [ "$online_version" = "$box_version" ] 
then
   echo "Same version... nothing to update!"
else
   echo "Downloading update..."
   cd /tmp
   wget -O oscam_update.tar.gz $result
   echo "Unpacking download..."
   tar -vxzf oscam_update.tar.gz oscam
   echo "Backup running version..."
   cp -f /var/etc/plimgr/cams/oscam /var/bin/oscam_oldversion.txt
   cp -f /var/bin/oscam /var/bin/oscam_oldversion.old
   echo "Stopping current oscam..."
   killall -9 oscam
   echo "Moving new oscam into place and starting..."
   chmod 755 oscam
   mv oscam /var/bin
   echo $online_version > /var/etc/plimgr/cams/oscam
   /var/bin/oscam -b -r 2 -c /var/etc/oscam
   rm oscam_update.tar.gz
fi
echo "Done!"
